<?php

namespace Database\Seeders;

use App\Models\Section;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;

class SectionSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $sections = array(
            array(
                "code" => "HOHR",
                "name" => "COMPENSATION AND PERSONNEL INFO",
            ),
            array(
                "code" => "PDI",
                "name" => "PDI",
            ),
            array(
                "code" => "WRRNT",
                "name" => "WARRANTY",
            ),
            array(
                "code" => "WSHOP",
                "name" => "WORKSHOP - DIRECT SERV. OPERATION",
            ),
            array(
                "code" => "RCPTN",
                "name" => "SERVICE RECEPTION",
            ),
            array(
                "code" => "AFSAD",
                "name" => "AFTERSALES ADMIN",
            ),
            array(
                "code" => "PROPE",
                "name" => "PROPERTY",
            ),
            array(
                "code" => "COMPE",
                "name" => "COMPENSATION AND PERSONNEL INFO SERVICES",
            ),
            array(
                "code" => "ASSU",
                "name" => "ASSET & SUPPLY",
            ),
            array(
                "code" => "B&P",
                "name" => "BODY AND PAINT",
            ),
            array(
                "code" => "I&L",
                "name" => "IMPORTATION AND LOGISTIC",
            ),
            array(
                "code" => "D",
                "name" => "DMS",
            ),
            array(
                "code" => "MISS",
                "name" => "M I S",
            ),
            array(
                "code" => "CRM",
                "name" => "CUSTOMER RELATIONSHIP MANAGEMENT",
            ),
            array(
                "code" => "DDEVT",
                "name" => "DEALER DEVELOPMENT",
            ),
            array(
                "code" => "WSIND",
                "name" => "WORKSHOP - INDIRECT SERV. OPERATION",
            ),
            array(
                "code" => "B&C",
                "name" => "BILLING AND COLLECTION",
            ),
            array(
                "code" => "CONSU",
                "name" => "CONSULTANCY",
            ),
            array(
                "code" => "ITI",
                "name" => "IT-INFRASTRUCTURE",
            ),
            array(
                "code" => "ITS",
                "name" => "IT-SYSTEMS",
            ),
            array(
                "code" => "UBER",
                "name" => "UBER Operation",
            ),
            array(
                "code" => "CSD",
                "name" => "CREATIVE SERVICES",
            ),
            array(
                "code" => "MT",
                "name" => "MANAGEMENT TRAINEE",
            ),
            array(
                "code" => "GRABC",
                "name" => "GRAB CAR OPRTNS",
            ),
            array(
                "code" => "Marco",
                "name" => "Marco Polo Operations",
            ),
            array(
                "code" => "AIT",
                "name" => "AUTOHUB INSTITUTE OF TECHNOLOGY",
            ),
            array(
                "code" => "FLEET",
                "name" => "FLEET",
            ),
            array(
                "code" => "GHRT",
                "name" => "GOLD HEART",
            ),
            array(
                "code" => "ABSOp",
                "name" => "ABS CBN Operations",
            ),
            array(
                "code" => "SPECI",
                "name" => "SPECIAL PROJECT",
            ),
            array(
                "code" => "NOVOp",
                "name" => "NOVOTEL Operations",
            ),
            array(
                "code" => "HOOPT",
                "name" => "HEAD OFFICE OPERATION",
            ),
            array(
                "code" => "HOOPS",
                "name" => "HOTEL OPERATIONS",
            ),
            array(
                "code" => "SARS",
                "name" => "SALES ADMIN-RETAIL SALES",
            ),
            array(
                "code" => "GENSE",
                "name" => "GENERAL SERVICES",
            ),
            array(
                "code" => "MOTOP",
                "name" => "MOTORPOOL SERVICES",
            ),
            array(
                "code" => "SECU",
                "name" => "SECURITY SERVCES",
            ),
            array(
                "code" => "RECRU",
                "name" => "RECRUITMENT & PERSONNEL ACTION",
            ),
            array(
                "code" => "BENEF",
                "name" => "WELFARE & BENEFITS",
            ),
            array(
                "code" => "INHOU",
                "name" => "IN HOUSE SALES",
            ),
            array(
                "code" => "INFL",
                "name" => "IN-HOUSE FLEET",
            ),
            array(
                "code" => "PROCU",
                "name" => "PROCUREMENT",
            ),
            array(
                "code" => "BELOP",
                "name" => "BELMONT OPERATION",
            ),
            array(
                "code" => "AADMI",
                "name" => "AUTOHUB-ADMIN",
            ),
            array(
                "code" => "ACADM",
                "name" => "ACCENTURE ADMIN",
            ),
            array(
                "code" => "ACC",
                "name" => "ACCESSORIES",
            ),
            array(
                "code" => "ACCES",
                "name" => "ACCESSORIES-MLA",
            ),
            array(
                "code" => "ACCG",
                "name" => "ACCESSORIES-GCASI",
            ),
            array(
                "code" => "ACC-G",
                "name" => "ACCOUNTING-GCASI",
            ),
            array(
                "code" => "ACCT",
                "name" => "ACCOUNTING",
            ),
            array(
                "code" => "ACCTG",
                "name" => "ACCOUNTING-MLA",
            ),
            array(
                "code" => "ACOPT",
                "name" => "ACCENTURE OPERATION",
            ),
            array(
                "code" => "ADATA",
                "name" => "AUTOHUB DATABASE",
            ),
            array(
                "code" => "ADM",
                "name" => "ADMIN",
            ),
            array(
                "code" => "ADM-C",
                "name" => "CHERY-ADMIN",
            ),
            array(
                "code" => "ADMG",
                "name" => "ADMIN-GCASI",
            ),
            array(
                "code" => "ADMIN",
                "name" => "ADMIN-MLA",
            ),
            array(
                "code" => "ADMS",
                "name" => "AUTOHUB DMS",
            ),
            array(
                "code" => "AEX",
                "name" => "AUTOHUB EXECUTIVE",
            ),
            array(
                "code" => "AF&I",
                "name" => "AUTOHUB FINANCE AND INSURANCE",
            ),
            array(
                "code" => "AFINA",
                "name" => "AUTOHUB-FINANCING",
            ),
            array(
                "code" => "AFLT",
                "name" => "AUTOHUB FLEET",
            ),
            array(
                "code" => "AHGC",
                "name" => "AUTOHUB GROUP OF COMPANIES",
            ),
            array(
                "code" => "A-HUB",
                "name" => "KLASSIK-AUTOHUB",
            ),
            array(
                "code" => "AMARK",
                "name" => "AUTOHUB MARKETING",
            ),
            array(
                "code" => "APURC",
                "name" => "AUTOHUB PURCHASING",
            ),
            array(
                "code" => "AUD",
                "name" => "AUDIT",
            ),
            array(
                "code" => "AUDG",
                "name" => "AUDIT-GCASI",
            ),
            array(
                "code" => "AUDIT",
                "name" => "AUDIT",
            ),
            array(
                "code" => "AUTOS",
                "name" => "AUTOHUB SALES",
            ),
            array(
                "code" => "AZACC",
                "name" => "AZ ACCOUNTING",
            ),
            array(
                "code" => "AZCWS",
                "name" => "AUTOZONE CARWASHERS",
            ),
            array(
                "code" => "AZDET",
                "name" => "ACCS DETAILING",
            ),
            array(
                "code" => "AZSBP",
                "name" => "AZ SERVICE BP",
            ),
            array(
                "code" => "AZSD",
                "name" => "AZ SERVICE DETAILING",
            ),
            array(
                "code" => "AZSLE",
                "name" => "AUTOZONE SALES",
            ),
            array(
                "code" => "AZSRC",
                "name" => "AUTOZONE WORKSHOP-GJ",
            ),
            array(
                "code" => "CDM",
                "name" => "CLEAR DEFENSE MARKETING",
            ),
            array(
                "code" => "CFINA",
                "name" => "CLICK FINANCE",
            ),
            array(
                "code" => "DCFM",
                "name" => "DCRC-MLA",
            ),
            array(
                "code" => "CNC",
                "name" => "CREDIT AND COLLECTION",
            ),
            array(
                "code" => "DCFG",
                "name" => "DCRC-FGC",
            ),
            array(
                "code" => "DEACR",
                "name" => "DEALER CUSTOMER RELATION CENTE",
            ),
            array(
                "code" => "DIREC",
                "name" => "SERV. OPERATIONS-DIRECT-GCASI",
            ),
            array(
                "code" => "DKSAD",
                "name" => "DKS ADMIN",
            ),
            array(
                "code" => "DKSOP",
                "name" => "DKS OPERATION",
            ),
            array(
                "code" => "EO",
                "name" => "EXECUTIVE OFFICE-MLA",
            ),
            array(
                "code" => "EO-GC",
                "name" => "EXECUTIVE OFFICE-GCASI",
            ),
            array(
                "code" => "EXECO",
                "name" => "EXECUTIVE OFFICE",
            ),
            array(
                "code" => "FIN",
                "name" => "FINANCING-MLA",
            ),
            array(
                "code" => "FINAN",
                "name" => "FINANCING",
            ),
            array(
                "code" => "FING",
                "name" => "FINANCING-GCASI",
            ),
            array(
                "code" => "GCIFC",
                "name" => "PICK UP TAKE HOME IFC",
            ),
            array(
                "code" => "GCLCC",
                "name" => "CABIN CREW",
            ),
            array(
                "code" => "GCLF",
                "name" => "FINANCE-GCL",
            ),
            array(
                "code" => "GCLFL",
                "name" => "FLIGHT DECK",
            ),
            array(
                "code" => "GCLHA",
                "name" => "HR/ADMIN-GCL",
            ),
            array(
                "code" => "GCLSA",
                "name" => "GCLSA",
            ),
            array(
                "code" => "GCLSR",
                "name" => "SERVICE",
            ),
            array(
                "code" => "GCOPR",
                "name" => "PAL ADMIN",
            ),
            array(
                "code" => "GCPLC",
                "name" => "PAL LEARNING CENTER",
            ),
            array(
                "code" => "H-AUT",
                "name" => "HYUNDA-AUTOHUB",
            ),
            array(
                "code" => "HR",
                "name" => "HUMAN RESOURCE",
            ),
            array(
                "code" => "HR/AD",
                "name" => "HR/ADMIN",
            ),
            array(
                "code" => "HRD",
                "name" => "HUMAN RESOURCE",
            ),
            array(
                "code" => "HRG",
                "name" => "HUMAN RESOURCES-GCASI",
            ),
            array(
                "code" => "HYADM",
                "name" => "HYUNDAI ADMIN",
            ),
            array(
                "code" => "HYMKT",
                "name" => "HYUNDAI MARKETING",
            ),
            array(
                "code" => "HYPAR",
                "name" => "HYUNDAI PARTS",
            ),
            array(
                "code" => "HYSA",
                "name" => "HYUNDAI SERVICE-ADMIN",
            ),
            array(
                "code" => "HYSAL",
                "name" => "HYUNDAI SALES",
            ),
            array(
                "code" => "HYSD",
                "name" => "HYUNDAI SERVICE-DIRECT OPERATI",
            ),
            array(
                "code" => "HYSI",
                "name" => "HYUNDAI SERVICE-INDIRECT OPERA",
            ),
            array(
                "code" => "HYSOP",
                "name" => "HYUNDAI SALES OPERATION",
            ),
            array(
                "code" => "IND-G",
                "name" => "SERV. OPERATIONS-INDIRECT-GCAS",
            ),
            array(
                "code" => "INS",
                "name" => "INSURANCE -MLA",
            ),
            array(
                "code" => "INSG",
                "name" => "INSURANCE-GCASI",
            ),
            array(
                "code" => "INSUR",
                "name" => "INSURANCE",
            ),
            array(
                "code" => "JMCBS",
                "name" => "JMC BATANGAS SALES",
            ),
            array(
                "code" => "JMCBV",
                "name" => "JMC BATANGAS VEH SALES",
            ),
            array(
                "code" => "JMCQS",
                "name" => "JMC QA SERVICE",
            ),
            array(
                "code" => "JMCQV",
                "name" => "JMC QA VEHICLE SALES",
            ),
            array(
                "code" => "KAMA",
                "name" => "KAMA TRUCKS-OPERATIONS",
            ),
            array(
                "code" => "KMSAL",
                "name" => "SALES KAMA",
            ),
            array(
                "code" => "KQADM",
                "name" => "KLASSIK ADMIN QA",
            ),
            array(
                "code" => "KQMK",
                "name" => "KLASSIK MARKETING QA",
            ),
            array(
                "code" => "KQPT",
                "name" => "KLASSIK PARTS QA",
            ),
            array(
                "code" => "KQSA",
                "name" => "KLASSIK SALES ADMIN",
            ),
            array(
                "code" => "KQSAD",
                "name" => "KLASSIK SERVICE ADMIN",
            ),
            array(
                "code" => "KQSD",
                "name" => "KLASSIK SERVICE DIRECT QA",
            ),
            array(
                "code" => "KQSI",
                "name" => "KLASSIK SERVICE INDIRECT QA",
            ),
            array(
                "code" => "KQSO",
                "name" => "KLASSIK SALES OPERATION QA",
            ),
            array(
                "code" => "MAR",
                "name" => "MARKETING",
            ),
            array(
                "code" => "MARAD",
                "name" => "MARRIOTT ADMIN",
            ),
            array(
                "code" => "MARKG",
                "name" => "MARKETING-GCASI",
            ),
            array(
                "code" => "MART",
                "name" => "MARRIOTT OPERATION",
            ),
            array(
                "code" => "MCMK",
                "name" => "MINI COOPER MARKETING",
            ),
            array(
                "code" => "MCSLS",
                "name" => "MINI GLOBAL CITY SALES",
            ),
            array(
                "code" => "MIS",
                "name" => "MANAGEMENT INFORMATION SYSTEM",
            ),
            array(
                "code" => "MISG",
                "name" => "MANAGEMENT INFO SYSTEM-GCASI",
            ),
            array(
                "code" => "MKTG",
                "name" => "MARKETING",
            ),
            array(
                "code" => "MNLH",
                "name" => "MANILA HOTEL OPERATION",
            ),
            array(
                "code" => "MNLHT",
                "name" => "MANILA HOTEL ADMIN",
            ),
            array(
                "code" => "NGM",
                "name" => "MARKETING-NGO",
            ),
            array(
                "code" => "NGOF",
                "name" => "FINANCE-NGO",
            ),
            array(
                "code" => "NGOFI",
                "name" => "F&I - NGO",
            ),
            array(
                "code" => "NGOHR",
                "name" => "HRD/ADMIN-NGO",
            ),
            array(
                "code" => "NGOP1",
                "name" => "PARTS-NGO",
            ),
            array(
                "code" => "NGOSA",
                "name" => "SALES ADMIN-NGO",
            ),
            array(
                "code" => "NGOSI",
                "name" => "SERVICE-INDIRECT-NGO",
            ),
            array(
                "code" => "NGOSP",
                "name" => "SALES PROFESSIONAL-NGO",
            ),
            array(
                "code" => "NGOSR",
                "name" => "SERVICE ADMIN - NGO",
            ),
            array(
                "code" => "NGOSV",
                "name" => "SERVICE-DIRECT-NGO",
            ),
            array(
                "code" => "NGQDL",
                "name" => "SERVICE DIRECT-NGQ",
            ),
            array(
                "code" => "NGQF",
                "name" => "FINANCE-NGQ",
            ),
            array(
                "code" => "NGQFI",
                "name" => "FINANCE & INS - NGQ",
            ),
            array(
                "code" => "NGQHA",
                "name" => "HR/ADMIN-NGQ",
            ),
            array(
                "code" => "NGQI",
                "name" => "SERVICE INDIRECT-NGQ",
            ),
            array(
                "code" => "NGQM",
                "name" => "MARKETING-NGQ",
            ),
            array(
                "code" => "NGQP2",
                "name" => "PARTS-NGQ",
            ),
            array(
                "code" => "NGQSA",
                "name" => "SALES ADMIN-NGQ",
            ),
            array(
                "code" => "NGQSP",
                "name" => "SALES PROFESSIONAL-NGQ",
            ),
            array(
                "code" => "NGQSR",
                "name" => "SERVICE ADMIN-NGQ",
            ),
            array(
                "code" => "PART",
                "name" => "PARTS",
            ),
            array(
                "code" => "PARTG",
                "name" => "PARTS-GCASI",
            ),
            array(
                "code" => "PARTS",
                "name" => "PARTS-MLA",
            ),
            array(
                "code" => "PERMS",
                "name" => "PERMANENT SHOWROOM-MLA",
            ),
            array(
                "code" => "PRMTS",
                "name" => "PERMANENT SHOWROOM",
            ),
            array(
                "code" => "PS-G",
                "name" => "PERMANENT SHOWROOM-GCASI",
            ),
            array(
                "code" => "SAD-G",
                "name" => "SALES ADMIN-GCASI",
            ),
            array(
                "code" => "SADM",
                "name" => "SALES ADMIN",
            ),
            array(
                "code" => "SALAD",
                "name" => "SALES ADMIN-MLA",
            ),
            array(
                "code" => "SAL-C",
                "name" => "CHERY-SALES",
            ),
            array(
                "code" => "SALE",
                "name" => "SALES",
            ),
            array(
                "code" => "SALEG",
                "name" => "SALES-GCASI",
            ),
            array(
                "code" => "SALES",
                "name" => "SALES - MLA",
            ),
            array(
                "code" => "SERAD",
                "name" => "SERVICE ADMIN",
            ),
            array(
                "code" => "SEROP",
                "name" => "SERVICE OPERATIONS",
            ),
            array(
                "code" => "SERVG",
                "name" => "SERV ADMIN-GCASI",
            ),
            array(
                "code" => "S-IND",
                "name" => "SERV. OPERATIONS-INDIRECT-GCAS",
            ),
            array(
                "code" => "SLS",
                "name" => "SALES",
            ),
            array(
                "code" => "SOFAD",
                "name" => "SOFITEL ADMIN",
            ),
            array(
                "code" => "SOFT",
                "name" => "SOFITEL OPERATION",
            ),
            array(
                "code" => "SVCAD",
                "name" => "SERVICE ADMIN-MLA",
            ),
            array(
                "code" => "SVCG",
                "name" => "SERV. OPERATIONS-DIRECT-GCASI",
            ),
            array(
                "code" => "SVC-G",
                "name" => "SERVICE ADMIN-GCASI",
            ),
            array(
                "code" => "SVCOP",
                "name" => "SERVICE DIRECT OPERATIONS-MLA",
            ),
            array(
                "code" => "SVTC",
                "name" => "SERVICE TECHNICIAN",
            ),
            array(
                "code" => "SYS",
                "name" => "MANAGEMEN INFORMATION SYSTEM",
            ),
            array(
                "code" => "TAXME",
                "name" => "METER ADMIN",
            ),
            array(
                "code" => "TREA",
                "name" => "TREASURY-MLA",
            ),
            array(
                "code" => "TREAG",
                "name" => "TREASURY-GCASI",
            ),
            array(
                "code" => "TREAS",
                "name" => "TREASURY",
            ),
            array(
                "code" => "USECA",
                "name" => "USED CARS",
            ),
            array(
                "code" => "USED",
                "name" => "USED CAR",
            ),
            array(
                "code" => "VKPDI",
                "name" => "VKOOL PDI",
            ),
        );
        
        Section::insert($sections);
    }

    public function reset()
    {
        Section::truncate();
    }
}
